GIT-RELINK(1)

NAME
git-relink - Hardlink common objects in local repositories

SYNOPSIS

git relink [--safe] <dir>... <master_dir>

DESCRIPTION

This will scan 1 or more object repositories and look for objects in common with a master repository. Objects not already hardlinked to the master repository will be replaced with a hardlink to the master repository.

OPTIONS

--safe
    Stops if two objects with the same hash exist but have different sizes. Default is to warn and continue.

<dir>
    Directories containing a .git/objects/ subdirectory.

AUTHOR

Written by Ryan Anderson <ryan@michonline.com>

DOCUMENTATION

Documentation by Junio C Hamano and the git-list <git@vger.kernel.org>.

GIT

Part of the git(1) suite